Autor Tema: ¿Cómo instalo una impresora y una aplicación mediante app: en Wifislax 4.2?  (Leído 7493 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Forest

  • Visitante
Hola, compas:

Hace unas semanas probé wifislax y me encantó, tanto así que lo instalé en una partición que tenía.

Ahora mis dudas son las siguientes:

¿Cómo instalo una impresora y una aplicación mediante app: en Wifislax 4.2?

Lo de la impresora es una multifuncional Epson TX115 y no hay caso.


Con lo de la aplicación la consola me dice que no encuentra el comando add-apt-repository

Saludos y ojalá puedan ayudarme.



Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
en sistema ,gestor de paquetes wifislax.

la distribucion se basa en slackware , asi que olvidate de apt get y demas comandos de paqueteria.


en caso de que en el gestor de paquetes no encuentres lo que buscas , ...puedes probar por google.

nombre de la aplicacion i486 , lo bajaras en txz o tgz , click derecho convertir a xzm , y ya en xzm , podras usar el instalador de modulos que esta tambien en sistema..( un icono azul ).


por ultimo tenemos lo mneos facil ...bajar el codigo del programa , e instalarlo a mano...ya sabes aquello de

configure
make
make install.

por curiosidad, ¿ que aplicaciones querias instalar ?

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
lo de la impresora...

enciendela , ( imagino la tendras conectada por usb ) ,...en una consola teclea


lsusb

a ver si aparece en la lista de dispositivos conectados por usb.

Forest

  • Visitante
Muchas gracias por tu respuesta, lo de instalar la aplicación me funcionó perfectamente, al final descargué un .sh y la instalé de ahí. No era tan importante el tipo de aplicación que era, sino que además quería saber cómo hacerlo del otro modo por si se me presentaba de nuevo esa cuestión. Muchas gracias por la respuesta.

Con lo de la impresora, la tengo encendida (está conectada mediante USB), escribo el comando Isusb y me arroja lo siguiente:

bash: Isusb: command not found

No hay drivers oficiales para Linux, probé descargándolos de una página japonesa la cual los tiene convertidos para Linux. Da dos alternativas una en .deb y una en .rpm. Probé las dos formas convirtiéndolas a xzm e instalándolas con el Instalador de módulos que arroja: "Comando ejecutado satisfactoriamente" o algo así y al momento de querer imprimir algo en la lista no me sale la impresora...

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
el comando comienza con una ele

ele  ese u ese be

lsusb

Forest

  • Visitante
Sí, justo iba a escribir por el mismo motivo. Disculpa la estupidez.

Bueno, sí me sale en la lista, esto es lo que me aparece:

Código: [Seleccionar]
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 148f:3072 Ralink Technology, Corp. RT3072 Wireless Adapter
Bus 002 Device 002: ID 1bcf:0005 Sunplus Innovation Technology Inc.
[b]Bus 002 Device 003: ID 04b8:084d Seiko Epson Corp. Stylus SX115[/b]

Ahora ¿cuñal es el siguiente paso, amigo?

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
pues puedes intentar instalando los paquetes.

http://pkgs.org/slackware-13.37/slackware-i486/gutenprint-5.2.6-i486-1.txz.html
http://pkgs.org/slackware-13.37/slackware-i486/hplip-3.11.3a-i486-1.txz.html

tambien puede que necesites.

 xsane, sane y xsane-lib

son paquetes de drivers de impresora.

bajalos, conviertelos a xzm e instalos.

¿ has intentado imprimir ? ...imagino que si, pero por preguntar.

los que te falten usa el gestor de paquetes.
« Última modificación: 22-10-2012, 05:01 (Lunes) por USUARIONUEVO »


Forest

  • Visitante
Muchas gracias por todo, USUARIONUEVO.

Descargué e instalé todo y seguí las instrucciones de las páginas correspondientes. Al final instalé el Scanner e Impresora de la Epson Stylus TX115.

El Scanner funciona perfectamente, pero la impresora no me funciona.

Está instalada, como lo muestra la siguiente imagen:


La configuré y todo. El problema es que cuando trato de imprimir en cualquier programa, la típica ventana de que está imprimiendo, pero la impresora no hace absolutamente nada. Eso es con todos los programas a excepción de Adobe Reader que dice: lpr unsuported format.

Y finalmente, en CUPS cuando trato de imprimir una página de prueba, me arroja el siguiente error:


Citar
Error en Epson_Stylus_TX115: Print Test Page

Unable to print test page:

    Unsupported format 'application/vnd.cups-banner'!


Espero me puedan ayudar nuevamente. Muchas gracias.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
bien , una breve busqueda en google copiando tu error, y ponen solved, tras añadir

ghostscript


http://pkgs.org/slackware-13.37/slackware-patches-i486/ghostscript-9.02-i486-1_slack13.37.txz.html

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
Ghostscript is an essential part of the printing subsystem

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
cuando acabes si lo haces funcionar todo, podrias listar los paquetes instalados ??

asi otros users podran tener una ligera idea.



Forest

  • Visitante
Todavía no la puedo hacer funcionar.

Bueno, instalé todos esos paquetes y nada de nada. Instalé gutenprint, hplip, ghostscript, sane y xsane. Incluso hasta desinstalé cups 1.4.6 e instalé Cups 1.5.4 (por ahí leí que no se recomendaba actualizar, sino que desinstalar la versión antigua e instalar ua más nueva). Probé con otras versiones y ésta es la que me quedo porque la 1.6 por ejemplo ni siquiera detectaba la impresora.

Bueno, la cuestión es que no la puedo hacer andar todavía, Incluso desinstalando e instalando nuevamente la impresora y me sigue arrojando el mismo error:

Citar
Error en Epson_Stylus_TX115: Print Test Page

Unable to print test page:

    Unsupported format 'application/vnd.cups-banner'!

Esta vez postearé lo que me arroja el registro de errores, a ver si me pueden brindar una solución, por favor.

Citar
W [24/Oct/2012:23:16:28 +0000] CreateProfile failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
W [24/Oct/2012:23:16:28 +0000] CreateProfile failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
W [24/Oct/2012:23:16:28 +0000] CreateDevice failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
W [24/Oct/2012:23:16:37 +0000] CreateProfile failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
W [24/Oct/2012:23:16:37 +0000] CreateProfile failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
W [24/Oct/2012:23:16:37 +0000] CreateDevice failed: org.freedesktop.DBus.Error.ServiceUnknown:The name org.freedesktop.ColorManager was not provided by any .service files
E [24/Oct/2012:23:17:01 +0000] Returning IPP client-error-document-format-not-supported for Print-Job (ipp://localhost:631/printers/Epson_Stylus_TX115) from localhost

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
bien , probemos.

1 - con el gestor de paquetes ,REINSTALA CUPS ...y si marca mas paquetes instalalos todos.

despues con tu ultimo log , rebuscando veo esto
Código: [Seleccionar]
Well i think what sorted the problem might have been to edit cupsd.conf

SystemGroup    lpadmin
listen localhost:631
listen *:631

I also had to install foomatic-filters & ghostscript too ....

The printer is perfect now.

I am going to be writing a noobies how to for Arch & Openbox soon ......

parece ser que hay que editar parte del fichero de configuyracion  e instalar footomatic ...tal vez solo necesites el foomatic ese, voy a buscar el paquete.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
reinstala cups y busca con el gestor ....foomatic-filters

 ;) :D ;D

la que hay que lidiar para imprimir, madre mia. :'( :'( :'(

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15457
ghostscript ,parece que necesita tambien

libspectre